## rb-query-creator rb-query-creator |

## Synopsis

    GtkWidget*          rb_query_creator_new                (RhythmDB *db);
    GtkWidget*          rb_query_creator_new_from_query     (RhythmDB *db,
                                                             GPtrArray *query,
                                                             RhythmDBQueryModelLimitType limit_type,
                                                             GValueArray *limit_value,
                                                             const char *sort_column,
                                                             gint sort_direction);
    GPtrArray*          rb_query_creator_get_query          (RBQueryCreator *creator);
    void                rb_query_creator_get_limit          (RBQueryCreator *creator,
                                                             RhythmDBQueryModelLimitType *limit_type,
                                                             GValueArray **limit_value);
    void                rb_query_creator_get_sort_order     (RBQueryCreator *creator,
                                                             const char **sort_key,
                                                             gint *sort_direction);

## Description

## Details

### rb_query_creator_new ()

    GtkWidget*          rb_query_creator_new                (RhythmDB *db);

`db` : |
Returns : |

### rb_query_creator_new_from_query ()

    GtkWidget*          rb_query_creator_new_from_query     (RhythmDB *db,
                                                             GPtrArray *query,
                                                             RhythmDBQueryModelLimitType limit_type,
                                                             GValueArray *limit_value,
                                                             const char *sort_column,
                                                             gint sort_direction);

`db` : |
`query` : |
`limit_type` : |
`limit_value` : |
`sort_column` : |
`sort_direction` : |
Returns : |

### rb_query_creator_get_query ()

    GPtrArray*          rb_query_creator_get_query          (RBQueryCreator *creator);

`creator` : |
Returns : |

### rb_query_creator_get_limit ()

    void                rb_query_creator_get_limit          (RBQueryCreator *creator,
                                                             RhythmDBQueryModelLimitType *limit_type,
                                                             GValueArray **limit_value);

`creator` : |
`limit_type` : |
`limit_value` : |

### rb_query_creator_get_sort_order ()

    void                rb_query_creator_get_sort_order     (RBQueryCreator *creator,
                                                             const char **sort_key,
                                                             gint *sort_direction);

`creator` : |
`sort_key` : |
`sort_direction` : |